import torch
import numpy as np

common_corruptions = ['gaussian_noise', 'shot_noise', 'impulse_noise', 'defocus_blur', 'glass_blur',
                      'motion_blur', 'zoom_blur', 'snow', 'frost', 'fog',
                      'brightness', 'contrast', 'elastic_transform', 'pixelate', 'jpeg_compression']

for corruption in common_corruptions:
    data = torch.load('./results/AdvS/{}/accs.pt'.format(corruption))
    print(corruption)
    print(data['test_adv_acc'])

print()

for corruption in common_corruptions:
    data = torch.load('./results/AdvT/{}/accs.pt'.format(corruption))
    print(corruption)
    print(data['test_adv_acc'])
